package cn.axzo.workflow.starter.common.exception;

public class WorkflowListenerExeException extends RuntimeException {
    private int code;

    public WorkflowListenerExeException(String message) {
        super(message);
    }

    public WorkflowListenerExeException() {
        super();
    }

    public WorkflowListenerExeException(String message, Throwable cause) {
        super(message, cause);
    }

    public WorkflowListenerExeException(Throwable cause) {
        super(cause);
    }

    public WorkflowListenerExeException(int code) {
        super();
        this.code = code;
    }

    public WorkflowListenerExeException(int code, String message, Throwable cause) {
        super(message, cause);
        this.code = code;
    }

    public WorkflowListenerExeException(int code, String message) {
        super(message);
        this.code = code;
    }

    public WorkflowListenerExeException(int code, Throwable cause) {
        super(cause);
        this.code = code;
    }
}
